000100190131       // Copyright (c) 2011-2016 Partner400
000101190131       // All rights reserved.
000102190131       //
000103190131       // Redistribution and use in source and binary forms, with or without
000104190131       // modification, are permitted provided that the following conditions
000105190131       // are met:
000106190131       // 1. Redistributions of source code must retain the above copyright
000107190131       //    notice, this list of conditions and the following disclaimer.
000108190131       // 2. Redistributions in binary form must reproduce the above copyright
000109190131       //    notice, this list of conditions and the following disclaimer in the
000110190131       //    documentation and/or other materials provided with the distribution.
000111190131       //
000112190131       // THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ''AS IS'' AND
000113190131       // ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
000114190131       // IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
000115190131       // ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
000116190131       // FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
000117190131       // DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
000118190131       // OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
000119190131       // HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
000120190131       // LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
000121190131       // OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
000122190131       // SUCH DAMAGE.
000123190131       //
000124190131
000125190131
000126190131       Dcl-C stsOK              00000;  // No error.
000127190131
000128190131       Dcl-C stsPgmRetLR        00001;  // Called program returned with *INLR on.
000129190131
000130190131       Dcl-C stsFkeyPressed     00002;  // Function key pressed.
000131190131
000132190131       Dcl-C stsEOF             00011;  // End of file (%EOF = *ON).
000133190131
000134190131       Dcl-C stsNotFnd          00012;  // Record not found (%FOUND = *OFF).
000135190131
000136190131       Dcl-C stsWrtSflFull      00013;  // Write to full subfile.
000137190131
000138190131       Dcl-C stsCvtSubst        00050;  // Conversion resulted in substitution.
000139190131
000140190131       Dcl-C errInvalString     00100;  // String operation, value out of range.
000141190131
000142190131       Dcl-C errNegSqrt         00101;  // Negative square root.
000143190131
000144190131       Dcl-C errDivZero         00102;  // Divide by zero.
000145190131
000146190131       Dcl-C errResultTooSmall  00103;  // Intermediate result too small to contain result.
000147190131
000148190131       Dcl-C errFltUndflow      00104;  // Float underflow. Intermediate value too small.
000149190131
000150190131       Dcl-C errInNumConv       00105;  // Invalid characters in character to numeric conversion
000151190131
000152190131       Dcl-C errInvalDate       00112;  // Invalid date, time, or timestamp value.
000153190131
000154190131       Dcl-C errDateOvflow      00113;  // Date overflow or underflow.
000155190131
000156190131       Dcl-C errDateMap         00114;  // Date mapping error.
000157190131
000158190131       Dcl-C errInvalVarLen     00115;  // Invalid length for variable-length field.
000159190131
000160190131       Dcl-C errArrSeq          00120;  // Table or array out of sequence.
000161190131
000162190131       Dcl-C errArrIdx          00121;  // Invalid array index.
000163190131
000164190131       Dcl-C errInvalOccur      00122;  // OCCUR value out of range.
000165190131
000166190131       Dcl-C errInzReset        00123;  // RESET attempted during initialization.
000167190131
000168190131       Dcl-C errCallFail        00202;  // Call to program or procedure ended in error.
000169190131
000170190131       Dcl-C errCall            00211;  // Error occurred while calling program or procedure.
000171190131
000172190131       Dcl-C errParmNoPass      00221;  // Called program tried to use unpassed parameter.
000173190131
000174190131       Dcl-C errPtrParm         00222;  // Pointer or parameter error.
000175190131
000176190131       Dcl-C errCallHalt        00231;  // Called program returned with halt indicator on.
000177190131
000178190131       Dcl-C errHalt            00232;  // 00232 Halt indicator on in this program.
000179190131
000180190131       Dcl-C errHaltRtn         00233;  // 00233 Halt indicator on when RETURN operation run.
000181190131
000182190131       Dcl-C errDumpFail        00299;  // 00299 RPG dump failed.
000183190131
000184190131       Dcl-C errMthCall         00301;  // 00301 Error in method call.
000185190131
000186190131       Dcl-C errCvtJavArrEnt    00302;  // 00302 Error converting Java array to RPG parm on entry
000187190131
000188190131       Dcl-C errCvtRpgPrmOut    00303;  // 00303 Error converting RPG parm to Java array on exit
000189190131
000190190131       Dcl-C errCvtRPGtoJavaArr 00304;  // 00304 Error converting RPG parm to Java array during prep
000191190131
000192190131       Dcl-C errCvtJavArrToRPG  00305;  // 00305 Error cvting Java array to RPG parm/return value
000193190131
000194190131       Dcl-C errcvtRpgRtnVal    00306;  // 00306 Error converting RPG return value to Java array.
000195190131
000196190131       Dcl-C errDsply           00333;  // 00333 Error on DSPLY operation.
000197190131
000198190131       Dcl-C errDataAreaNotFnd  00401;  // 00401 Data area not found.
000199190131
000200190131       Dcl-C errInvalPsjPDA     00402;  // 00402 *PDA not valid for non-prestart job.
000201190131
000202190131       Dcl-C errInvalDataArea   00411;  // 00411 Data area types/lengths do not match.
000203190131
000204190131       Dcl-C errDataAreaNoOutp  00412;  // 00412 Data area not allocated for output.
000205190131
000206190131       Dcl-C errDataAreaIO      00413;  // 00413 I/O error while processing data area.
000207190131
000208190131       Dcl-C errDataAreaUseAut  00414;  // 00414 Not authorized to use data area.
000209190131
000210190131       Dcl-C errDataAreaChgAut  00415;  // 00415 Not authorized to change data area.
000211190131
000212190131       Dcl-C errDataAreaUnlFail 00421;  // 00421 Error while unlocking data area.
000213190131
000214190131       Dcl-C errInvalAlloc      00425;  // 00425 Requested storage allocation length out of range.
000215190131
000216190131       Dcl-C errStorFail        00426;  // 00426 Error during storage management operation.
000217190131
000218190131       Dcl-C errDataAreaAlloc   00431;  // 00431 Data area previously allocated to another process.
000219190131
000220190131       Dcl-C errDataAreaLock    00432;  // 00432 *LOCK for data area not granted.
000221190131
000222190131       Dcl-C errInvalSosi       00450;  // 00450 Character field not enclosed by SO and SI.
000223190131
000224190131       Dcl-C errCvtCcsid        00451;  // 00451 Cannot convert between two CCSIDs.
000225190131
000226190131       Dcl-C errSortRtv         00501;  // 00501 Sort sequence not retrieved.
000227190131
000228190131       Dcl-C errSortCvt         00502;  // 00502 Sort sequence not converted.
000229190131
000230190131       Dcl-C errCmtNact         00802;  // 00802 Commitment control not active.
000231190131
000232190131       Dcl-C errRolbkFail       00803;  // 00803 Rollback failed.
000233190131
000234190131       Dcl-C errCmt             00804;  // 00804 COMMIT error.
000235190131
000236190131       Dcl-C errRolbk           00805;  // 00805 ROLBK error.
000237190131
000238190131       Dcl-C errDecimal         00907;  // 00907 Decimal data error.
000239190131
000240190131       Dcl-C errCompLevChk      00970;  // 00970 Compiler/runtime level check.
000241190131
000242190131       Dcl-C errUndefRecTyp     01011;  // 01011 Undefined record type.
000243190131
000244190131       Dcl-C errRecExists       01021;  // 01021 Record already exists.
000245190131
000246190131       Dcl-C errRefCst          01022;  // 01022 Referential constraint error.
000247190131
000248190131       Dcl-C errTrgBefore       01023;  // 01023 Trigger program error before operation.
000249190131
000250190131       Dcl-C errTrgAfter        01024;  // 01024 Trigger program error after operation.
000251190131
000252190131       Dcl-C errMatchSeq        01031;  // 01031 Match field sequence error.
000253190131
000254190131       Dcl-C errLoadArr         01041;  // 01041 Array/table load sequence error.
000255190131
000256190131       Dcl-C errArrAltSeq       01042;  // 01042 Array/table load sequence error.
000257190131
000258190131       Dcl-C errArrOvflow       01051;  // 01051 Excess entries in array/table file.
000259190131
000260190131       Dcl-C errInvalRecSeq     01071;  // 01071 Record out of sequence.
000261190131
000262190131       Dcl-C errDDSPrtKey       01121;  // 01121 No Print Key DDS keyword indicator.
000263190131
000264190131       Dcl-C errDDSPgDn         01122;  // 01122 No Page Down Key DDS keyword indicator.
000265190131
000266190131       Dcl-C errDDSPgUp         01123;  // 01123 No Page Up Key DDS keyword indicator.
000267190131
000268190131       Dcl-C errDDSClrKey       01124;  // 01124 No Clear Key keyword indicator.
000269190131
000270190131       Dcl-C errDDSHlpKey       01125;  // 01125 No Help Key DDS keyword indicator.
000271190131
000272190131       Dcl-C errDDSHomeKey      01126;  // 01126 No Home Key DDS keyword indicator.
000273190131
000274190131       Dcl-C errInpMisMatch     01201;  // 01201 Record mismatch detected on input.
000275190131
000276190131       Dcl-C errIOClosed        01211;  // 01211 I/O operation to a closed file.
000277190131
000278190131       Dcl-C errAlreadyOpen     01215;  // 01215 OPEN issued to already open file.
000279190131
000280190131       Dcl-C errImpOpenClose    01216;  // 01216 Error on implicit OPEN/CLOSE.
000281190131
000282190131       Dcl-C errExpOpenClose    01217;  // 01217 Error on explicit OPEN/CLOSE.
000283190131
000284190131       Dcl-C errRcdLocked       01218;  // 01218 Unable to allocate record.
000285190131
000286190131       Dcl-C errUpdNoRead       01221;  // 01221 Update/delete operation without a prior read.
000287190131
000288190131       Dcl-C errRefCstAlloc     01222;  // 01222 Referential constraint allocation error.
000289190131
000290190131       Dcl-C errSpecial         01231;  // 01231 Error on SPECIAL file.
000291190131
000292190131       Dcl-C errPrtCtl          01235;  // 01235 Error in PRTCTL space or skip entries.
000293190131
000294190131       Dcl-C errRecNbrNotFnd    01241;  // 01241 Record number not found.
000295190131
000296190131       Dcl-C errPermIO          01251;  // 01251 Permanent I/O error.
000297190131
000298190131       Dcl-C errSessDev         01255;  // 01255 Session or device error.
000299190131
000300190131       Dcl-C errMaxDev          01261;  // 01261 Attempt to exceed maximum number of devices.
000301190131
000302190131       Dcl-C errDevUnavail      01271;  // 01271 Attempt to acquire unavailable device.
000303190131
000304190131       Dcl-C errDevUnacq        01281;  // 01281 Operation to unacquired device.
000305190131
000306190131       Dcl-C errJobEndCtl       01282;  // 01282 Job ending with controlled option.
000307190131
000308190131       Dcl-C errAcqAddDev       01284;  // 01284 Unable to acquire second device.
000309190131
000310190131       Dcl-C errDevAlloc        01285;  // 01285 Attempt to acquire an allocated device.
000311190131
000312190131       Dcl-C errShrOpn          01286;  // 01286 Attempt to open shared file with SAVDS or SAVIND.
000313190131
000314190131       Dcl-C errRespInd         01287;  // 01287 Response indicators overlap SAVIND indicators.
000315190131
000316190131       Dcl-C errIO              01299;  // 01299 I/O error detected.
000317190131
000318190131       Dcl-C errWait            01331;  // 01331 Wait time exceeded for WORKSTN file.
000319190131
000320190131       Dcl-C errIntRPGFail      09998;  // 09998 Internal failure in RPG compiler runtime
000321190131
000322190131       Dcl-C errPgmExc          09999;  // 09999 Program exception in system routine.
